Package org.drinkless.tdlib

# Class TdApi.GroupCallStream

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GroupCallStream

Enclosing class:
  `TdApi`

public static class TdApi.GroupCallStream extends TdApi.Object
Describes an available stream in a video chat or a live story.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `channelId`
  Identifier of an audio/video channel.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `scale`
  Scale of segment durations in the stream.
  `long`
  `timeOffset`
  Point in time when the stream currently ends; Unix timestamp in milliseconds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupCallStream()`
  Describes an available stream in a video chat or a live story.
  `GroupCallStream(int channelId, int scale, long timeOffset)`
  Describes an available stream in a video chat or a live story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### channelId

    public int channelId
    Identifier of an audio/video channel.

  - ### scale

    public int scale
    Scale of segment durations in the stream. The duration is 1000/(2**scale) milliseconds.

  - ### timeOffset

    public long timeOffset
    Point in time when the stream currently ends; Unix timestamp in milliseconds.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GroupCallStream

    public GroupCallStream()
    Describes an available stream in a video chat or a live story.

  - ### GroupCallStream

    public GroupCallStream(int channelId, int scale, long timeOffset)
    Describes an available stream in a video chat or a live story.
    Parameters:
      `channelId` - Identifier of an audio/video channel.
      `scale` - Scale of segment durations in the stream. The duration is 1000/(2**scale) milliseconds.
      `timeOffset` - Point in time when the stream currently ends; Unix timestamp in milliseconds.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR